{{- if .Values.istio.enabled }}
apiVersion: networking.istio.io/v1alpha3
kind: Gateway
metadata:
  name: {{ include "helm-template.fullname" . }}
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "helm-template.labels" . | nindent 4 }}
spec:
  selector:
    istio: ingressgateway # use Istio default gateway implementation
  servers:
{{ toYaml .Values.istio.gateway | nindent 2 }}
{{- end }}